> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mygigsters.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add bank details

> This endpoint allows you to add bank details for a worker.

> [!NOTE]
>
> Payouts are supported in 160+ countries. The `bsb` field applies to Australian bank accounts. For bank accounts in other countries, collect details with the hosted form from [Beneficiary URL](https://docs.mygigsters.com/api-reference/workers/beneficiary-url.md) or the [Beneficiary SDK](https://docs.mygigsters.com/sdks/beneficiary-sdk.md), which show the right fields for the worker's country.

### Headers

**X-API-Version** `string` *required* (default: 1.2)

The API version to use. Supported versions are `1.1` and `1.2`.

### Headers

**idempotency-key** `string` *required*

A unique UUID string used to prevent duplicate operations.

### Request Body Parameters

**bsb** `string`

The Bank State Branch code (6 digits) for Australian bank accounts. Use `065163` in the demo environment.

**account\_number** `string` *required*

12345678 for Sandbox Environment.

**account\_name** `string` *required*

The name associated with the bank account.

**worker\_id** `string` *required*

The unique ID of the worker.

### Response Body

**status** `number`

Indicates the status of the request. A value of 200 indicates success.

**message** `string`

A message related to the status of the request.

### Response Codes

| Code | Description |
| - | - |
| 200 | If the request is successful, the bank details are added/updated and the response includes the status message. |
| 400 | Bad Request. Invalid or missing parameters. |
| 401 | Unauthorized. Missing or invalid credentials. |
| 404 | Not Found. The specified workerId does not exist. |
| 409 | Conflict. Duplicate idempotency key with mismatching parameters. |
| 500 | Internal Server Error. |

```bash cURL theme={null}
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/worker-bank-details \
  -u "YOUR_UUID:YOUR_SECRET" \
  -H "idempotency-Key: cb174dc0-281b-4cd3-847e-d3791a84f3ab" \
  -H "X-API-Version: 1.2" \
  -H "Content-Type: application/json" \
  -d '{
  "bsb": "065163",
  "account_number": "12345678",
  "account_name": "Jane Smith",
  "worker_id": "afd629c6-8e3d-4701-b168-dec8608130a5"
}'
```

```javascript Node.js theme={null}
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/worker-bank-details", {
  method: "POST",
  headers: {
    Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
    "idempotency-Key": "cb174dc0-281b-4cd3-847e-d3791a84f3ab",
    "X-API-Version": "1.2",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "bsb": "065163",
    "account_number": "12345678",
    "account_name": "Jane Smith",
    "worker_id": "afd629c6-8e3d-4701-b168-dec8608130a5"
  }),
});

const data = await response.json();
console.log(data);
```

```python Python theme={null}
import requests

response = requests.post(
    "https://qa-payments.mygigsters.com.au/api/v1/worker-bank-details",
    auth=("YOUR_UUID", "YOUR_SECRET"),
    headers={
        "idempotency-Key": "cb174dc0-281b-4cd3-847e-d3791a84f3ab",
        "X-API-Version": "1.2",
    },
    json={
        "bsb": "065163",
        "account_number": "12345678",
        "account_name": "Jane Smith",
        "worker_id": "afd629c6-8e3d-4701-b168-dec8608130a5",
    },
)

print(response.json())
```

```ruby Ruby theme={null}
require "net/http"
require "json"
require "uri"

uri = URI("https://qa-payments.mygigsters.com.au/api/v1/worker-bank-details")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["idempotency-Key"] = "cb174dc0-281b-4cd3-847e-d3791a84f3ab"
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
  {
    "bsb": "065163",
    "account_number": "12345678",
    "account_name": "Jane Smith",
    "worker_id": "afd629c6-8e3d-4701-b168-dec8608130a5"
  }
JSON

response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
  http.request(request)
end

puts JSON.parse(response.body)
```

```php PHP theme={null}
<?php

$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/worker-bank-details");

curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => "POST",
    CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
    CURLOPT_HTTPHEADER => [
        "idempotency-Key: cb174dc0-281b-4cd3-847e-d3791a84f3ab",
        "X-API-Version: 1.2",
        "Content-Type: application/json",
    ],
    CURLOPT_POSTFIELDS => <<<'JSON'
{
  "bsb": "065163",
  "account_number": "12345678",
  "account_name": "Jane Smith",
  "worker_id": "afd629c6-8e3d-4701-b168-dec8608130a5"
}
JSON,
]);

$response = curl_exec($ch);
curl_close($ch);

print_r(json_decode($response, true));
```

```java Java theme={null}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;

public class Example {
    public static void main(String[] args) throws Exception {
        String credentials = Base64.getEncoder()
            .encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());

        String body = String.join("\n",
            "{",
            "  \"bsb\": \"065163\",",
            "  \"account_number\": \"12345678\",",
            "  \"account_name\": \"Jane Smith\",",
            "  \"worker_id\": \"afd629c6-8e3d-4701-b168-dec8608130a5\"",
            "}"
        );

        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/worker-bank-details"))
            .header("Authorization", "Basic " + credentials)
            .header("idempotency-Key", "cb174dc0-281b-4cd3-847e-d3791a84f3ab")
            .header("X-API-Version", "1.2")
            .header("Content-Type", "application/json")
            .method("POST", HttpRequest.BodyPublishers.ofString(body))
            .build();

        HttpResponse<String> response = HttpClient.newHttpClient()
            .send(request, HttpResponse.BodyHandlers.ofString());

        System.out.println(response.body());
    }
}
```

```go Go theme={null}
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	body := strings.NewReader(`{
  "bsb": "065163",
  "account_number": "12345678",
  "account_name": "Jane Smith",
  "worker_id": "afd629c6-8e3d-4701-b168-dec8608130a5"
}`)

	req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/worker-bank-details", body)
	if err != nil {
		panic(err)
	}
	req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
	req.Header.Set("idempotency-Key", "cb174dc0-281b-4cd3-847e-d3791a84f3ab")
	req.Header.Set("X-API-Version", "1.2")
	req.Header.Set("Content-Type", "application/json")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```

```csharp .NET theme={null}
using System.Net.Http.Headers;
using System.Text;

using var client = new HttpClient();

var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/worker-bank-details");
request.Headers.Authorization = new AuthenticationHeaderValue(
    "Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("idempotency-Key", "cb174dc0-281b-4cd3-847e-d3791a84f3ab");
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
  ""bsb"": ""065163"",
  ""account_number"": ""12345678"",
  ""account_name"": ""Jane Smith"",
  ""worker_id"": ""afd629c6-8e3d-4701-b168-dec8608130a5""
}", Encoding.UTF8, "application/json");

var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
```

```json 200 theme={null}
{
  "status": 200,
  "message": "Account details updated"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.